var sportnaptar_898_wait_icon_html = '<span class="dashicons dashicons-update spin"></span>';

jQuery(document).ready(function() {

    jQuery('.sportnaptar_category').change(function(){
         getListShortcode();
    });    
    jQuery('.event_hashtag').keyup(function(){
         getListShortcode();
    });    
    jQuery('.my_event').change(function(){
         getListShortcode();
    });    
    jQuery('.event_url').keyup(function(){
         getOneShortcode();
    });    
    jQuery('.event_url').change(function(){
         getOneShortcode();
    });    

    jQuery('.sportnaptar_template').keyup(function(){
         getOneShortcode();
         getListShortcode();
    });    
    jQuery('.sportnaptar_template').change(function(){
         getOneShortcode();
         getListShortcode();
    });    

    jQuery('.sportnaptar_lang').keyup(function(){
         getOneShortcode();
         getListShortcode();
    });    
    jQuery('.sportnaptar_lang').change(function(){
         getOneShortcode();
         getListShortcode();
    });    

    getOneShortcode();
    getListShortcode();

});

function sportnaptar_898_delete_cache() {

    jQuery('#delete_cache_button').prepend(sportnaptar_898_wait_icon_html);

    var data = {
            action : 'sportnaptar_898_delete_cache_function'
        };

    jQuery.ajax({
        url      : sportnaptar_898_ajax_object.ajax_url,
        dataType : 'json',
        type     : 'POST',
        data     : data,
        success  : function(data, result){
            if (data.status == 1) {
                // Status OK
                // jQuery('#delete_cache_block').html(data.message);
                jQuery('#delete_cache_block').find('p').html(data.message);
                jQuery('#delete_cache_button').find('span').remove();
            } else {
                jQuery('#delete_cache_block').prepend('<div>'+data.message+'</div>');
            }
        } 
    });
}

function getOneShortcode() {
    var text = '[sportnaptar ';
    
    var url = jQuery('#sportnaptar_one_event').find('.event_url:first').val();
    if (url == '') {
        jQuery('#sportnaptar_one_event').find('.shortcode-one-error').show();
        jQuery('#sportnaptar_one_event').find('.button').hide();
    } else {
        jQuery('#sportnaptar_one_event').find('.shortcode-one-error').hide();
        jQuery('#sportnaptar_one_event').find('.button').show();
        
        text += 'url="'+url+'" ';
    }
 
    var tmpl = jQuery('#sportnaptar_one_event').find('.sportnaptar_template:first').val();
    if (tmpl != jQuery('select[name="sportnaptar_options[template]"] option:selected').val()) {
        text += 'template="'+tmpl+'" ';
    }

    var lang = jQuery('#sportnaptar_one_event').find('.sportnaptar_lang:first').val();
    text += 'lang="'+lang+'"';
    
    text += ']'; 
    
    jQuery('#sportnaptar_one_event').find('.shortcode').html(text);
    
}

function getListShortcode() {
    
    var valid = false;
    var text = '[sportnaptar ';
    
    var tmpl = jQuery('#sportnaptar_event_list').find('.sportnaptar_template:first').val();
    if (tmpl != jQuery('select[name="sportnaptar_options[template]"] option:selected').val()) {
        text += 'template="'+tmpl+'" ';
    }

    var cat = jQuery('#sportnaptar_event_list').find('.sportnaptar_category:first').val();
    if (cat != '') {
        valid = true;        
        text += 'category="'+cat+'" ';
    }
 
    var tags = jQuery('#sportnaptar_event_list').find('.event_hashtag:first').val();
    if (tags != '') {
        valid = true;
        text += 'hashtag="'+tags+'" ';
    }
 
    var my = jQuery('#sportnaptar_event_list').find('.my_event:checked').val();
    if (typeof my !== 'undefined') {
        valid = true;
        text += 'owner="'+my+'" ';
    }
 
    var lang = jQuery('#sportnaptar_event_list').find('.sportnaptar_lang:first').val();
    text += 'lang="'+lang+'"';
    
    text += ']'; 
    
    if (valid) {
        jQuery('#sportnaptar_event_list').find('.shortcode-list-error').hide();
        jQuery('#sportnaptar_event_list').find('.button').show();
    } else {
        jQuery('#sportnaptar_event_list').find('.shortcode-list-error').show();
        jQuery('#sportnaptar_event_list').find('.button').hide();
    }
    
    jQuery('#sportnaptar_event_list').find('.shortcode').html(text);
    
}


function sportnaptar_898_showtab(item){
    if (item == 'sportnaptar_one_event') {
        jQuery('.nav-tab-wrapper').find('.sportnaptar_one_event').addClass('nav-tab-active');
        jQuery('.nav-tab-wrapper').find('.sportnaptar_event_list').removeClass('nav-tab-active');
        jQuery('#sportnaptar_event_list').hide();
        jQuery('#sportnaptar_one_event').show();
    } else {
        jQuery('.nav-tab-wrapper').find('.sportnaptar_event_list').addClass('nav-tab-active');
        jQuery('.nav-tab-wrapper').find('.sportnaptar_one_event').removeClass('nav-tab-active');
        jQuery('#sportnaptar_one_event').hide();
        jQuery('#sportnaptar_event_list').show();
    }
}

function sportnaptar_898_to_clipboard_one_event(){
    text = jQuery('#sportnaptar_one_event').find('.shortcode').text();
    var temp = jQuery("<input>");
    jQuery("body").append(temp);
    temp.val(text).select();
    document.execCommand("copy");
    temp.remove();    
}
function sportnaptar_898_to_clipboard_event_list(){
    text = jQuery('#sportnaptar_event_list').find('.shortcode').text();
    var temp = jQuery("<input>");
    jQuery("body").append(temp);
    temp.val(text).select();
    document.execCommand("copy");
    temp.remove();    
}