jQuery(document).ready(function() {

    jQuery(document).on('click','.sportnaptar-item', function(){
        
        var parent_id = jQuery(this).closest('.sportnaptar-list-block').attr('id');
        
        var id = jQuery(this).attr('data-id');

        if (typeof(id) != "undefined" && id !== null) {
            
            sportnaptar_898_showOverlay();
            
            if ( jQuery('#item_'+id).length ) {
                
                jQuery('#'+parent_id).find('.sportnaptar-list').hide();
                jQuery('#item_'+id).show();
                sportnaptar_898_hideOverlay();
                jQuery('.sportnaptar-tabs').find('.sportnaptar-tab:first').click();
            
            } else {
                
                var data = {
                        action   : 'sportnaptar_898_load_event_function',
                        id       : id,
                        parent   : parent_id,
                        template : jQuery('#'+parent_id).attr('data-template')
                    };
            
                jQuery.ajax({
                    url      : sportnaptar_898_ajax_object.ajax_url,
                    dataType : 'json',
                    type     : 'POST',
                    data     : data,
                    success  : function(data, result){
                        
                        if (data.status == 1) {
                            // Status OK
                            jQuery('#'+parent_id).find('.sportnaptar-item').hide();
                            jQuery('#'+data.parent).prepend(data.html);
                            sportnaptar_898_hideOverlay();
                            
                            var offset = jQuery('#'+parent_id).find('.sportnaptar-display-item:first').offset().top - 100;
                            jQuery('html, body').animate({
                                scrollTop: offset
                            }, 500);      
                            jQuery('.sportnaptar-tabs').find('.sportnaptar-tab:first').click();                      
                            
                        } else {
                            console.log(data);
                            sportnaptar_898_hideOverlay();
                        }
                    },
                    error: function (request, status, error) {
                        sportnaptar_898_hideOverlay();
                        alert('Sajnálatos módon hiba történt: ' + error);
                    } 
                });
            }
        }
    });
});

function sportnaptar_898_go_back(parent) {
    jQuery('#'+parent).find('.sportnaptar-display-item').hide();
    jQuery('#'+parent).find('.sportnaptar-item').show();
    
    var offset = jQuery('#'+parent).offset().top - 100;
    jQuery('html, body').animate({
        scrollTop: offset
    }, 500);                            
    
}


function sportnaptar_898_showOverlay() {
    var over = '<div id="sportnaptar_898_overlay" class="overlay"><img id="sportnaptar_898_wait_image" src="'+sportnaptar_898_wait_image_src+'" /></div>';
    jQuery('body').prepend(over);
    jQuery('#sportnaptar_898_overlay').width( jQuery(window).width() );
    jQuery('#sportnaptar_898_overlay').height( jQuery(window).height() );
    jQuery('#sportnaptar_898_overlay').fadeIn(200);

    var tmpImg = new Image();
    tmpImg.src = jQuery('#sportnaptar_898_wait_image').attr('src');
    tmpImg.onload = function() {
        var h = (jQuery(window).height() - jQuery('#sportnaptar_898_wait_image').height()) / 2;
        jQuery('#sportnaptar_898_wait_image').css('margin-top', h+'px'); 
    } ;    

}

function sportnaptar_898_hideOverlay() {
    jQuery('#sportnaptar_898_overlay').fadeOut(200);
    setTimeout(function() {
        jQuery('#sportnaptar_898_overlay').remove();
    }, 250);    
}
